Is the Levure preferences external compatible with LC 9 DP8?

A place to discuss Version Control in LiveCode

Moderators: Klaus, FourthWorld, heatherlaine, kevinmiller

Post Reply
rabit
Posts: 17
Joined: Wed May 31, 2006 8:30 am

Is the Levure preferences external compatible with LC 9 DP8?

Post by rabit » Tue Aug 22, 2017 3:33 pm

Currently trying and checking out Levure. So far I am really impressed,
this seems to be a remarkable and very valuable piece of work.
The problem I have on Mac OS is whenever I try to load the sample application
into the IDE an error dialog pops up telling me that an error occurred while
initialising the application “[unable to load external preferences]”.
This is with the latest release (DP8) of LC 9.0.0. Tried DP5 and initialising worked as expected.
So, can anybody confirm that the preferences external is currently not compatible with LC 9.0.0 DP8?
-- Ralf Bitter

trevordevore
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
Posts: 847
Joined: Sat Apr 08, 2006 3:06 pm
Location: Overland Park, Kansas
Contact:

Re: Is the Levure preferences external compatible with LC 9

Post by trevordevore » Wed Aug 23, 2017 5:53 am

I can confirm the external does not load in LC 9 DP8. This would be a bug in LC 9. I've filed a bug report:

http://quality.livecode.com/show_bug.cgi?id=20291
Trevor DeVore
ScreenSteps - http://www.screensteps.com

Levure Application Framework: https://github.com/trevordevore/levure
LiveCode Resources for Developers: http://livecode.bluemangolearning.com

rabit
Posts: 17
Joined: Wed May 31, 2006 8:30 am

Re: Is the Levure preferences external compatible with LC 9

Post by rabit » Wed Aug 23, 2017 12:13 pm

Trevor, thanks for taking the time.
-- Ralf Bitter

trevordevore
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
Posts: 847
Joined: Sat Apr 08, 2006 3:06 pm
Location: Overland Park, Kansas
Contact:

Re: Is the Levure preferences external compatible with LC 9

Post by trevordevore » Wed Aug 23, 2017 4:15 pm

It turns out that the external won't load in LC 9 DP-8 because the IDE runs in 64-bit mode and the external is 32-bit. I dug up the source code. Anybody up for compiling the preferences external with 32/64 bit support?

https://www.dropbox.com/s/n0brqz101zq00 ... 2.zip?dl=0
Trevor DeVore
ScreenSteps - http://www.screensteps.com

Levure Application Framework: https://github.com/trevordevore/levure
LiveCode Resources for Developers: http://livecode.bluemangolearning.com

LCMark
Livecode Staff Member
Livecode Staff Member
Posts: 944
Joined: Thu Apr 11, 2013 11:27 am

Re: Is the Levure preferences external compatible with LC 9

Post by LCMark » Wed Aug 23, 2017 6:13 pm

@trevordevore: Attached is a rebuild of the source supplied against the 10.9 SDK and Universal Arch (intel 32 and 64 bit). It seems to load fine into a 64-bit version of LiveCode... And the 'Exists' function seems to return false for a random pref name so hopefully it works!
Attachments
preferences.bundle.zip
Prefs recompile for universal Mac
(8.06 KiB) Downloaded 22 times

trevordevore
VIP Livecode Opensource Backer
VIP Livecode Opensource Backer
Posts: 847
Joined: Sat Apr 08, 2006 3:06 pm
Location: Overland Park, Kansas
Contact:

Re: Is the Levure preferences external compatible with LC 9

Post by trevordevore » Wed Aug 23, 2017 6:24 pm

Thanks Mark! I can confirm that the external loads with the default Levure app in LC 8.1.6 and LC 9.0 DP 8.

Ralf - you can replace the external in ./levure/framework/helpers/preferences with the one Mark uploaded and your project should load. The next release will include the new external.
Trevor DeVore
ScreenSteps - http://www.screensteps.com

Levure Application Framework: https://github.com/trevordevore/levure
LiveCode Resources for Developers: http://livecode.bluemangolearning.com

rabit
Posts: 17
Joined: Wed May 31, 2006 8:30 am

Re: Is the Levure preferences external compatible with LC 9

Post by rabit » Wed Aug 23, 2017 7:22 pm

That was quick. Big thanks to all involved.
-- Ralf Bitter

Post Reply

Return to “Version Control”